package com.antai.sport.http.server.game.api.business.sport.social.controller;

import com.antai.sport.http.server.common.annotation.LoginSportUser;
import com.antai.sport.http.server.common.base.Result;
import com.antai.sport.http.server.game.api.business.sport.social.service.FriendsService;
import com.antai.sport.http.server.repository.sport.entity.SportUser;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

import static com.antai.sport.http.server.common.util.ResultUtil.success;

@RestController
@Api(tags = {"社交相关接口"})
@RequestMapping("/friends")
public class FriendsController {

    @Resource
    private FriendsService friendsService;

    @ApiOperation(value = "获取好友列表", notes = "结果为好友id数组")
    @GetMapping
    public ResponseEntity<Result<List<Long>>> getFriends(@LoginSportUser SportUser loginUser) {
        return success(friendsService.getFriends(loginUser));
    }
}
